Skip to content
Start here

Create Prefix Delegation

client.addressing.prefixes.delegations.create(stringprefixId, DelegationCreateParams { account_id, cidr, delegated_account_id } params, RequestOptionsoptions?): Delegations { id, cidr, created_at, 3 more }
POST/accounts/{account_id}/addressing/prefixes/{prefix_id}/delegations

Create a new account delegation for a given IP prefix.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
IP Prefixes: Write
ParametersExpand Collapse
prefixId: string

Identifier of an IP Prefix.

maxLength32
params: DelegationCreateParams { account_id, cidr, delegated_account_id }
account_id: string

Path param: Identifier of a Cloudflare account.

maxLength32
cidr: string

Body param: IP Prefix in Classless Inter-Domain Routing format.

delegated_account_id: string

Body param: Account identifier for the account to which prefix is being delegated.

maxLength32
ReturnsExpand Collapse
Delegations { id, cidr, created_at, 3 more }
id?: string

Identifier of a Delegation.

maxLength32
cidr?: string

IP Prefix in Classless Inter-Domain Routing format.

created_at?: string
formatdate-time
delegated_account_id?: string

Account identifier for the account to which prefix is being delegated.

maxLength32
modified_at?: string
formatdate-time
parent_prefix_id?: string

Identifier of an IP Prefix.

maxLength32

Create Prefix Delegation

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const delegations = await client.addressing.prefixes.delegations.create(
  '2af39739cc4e3b5910c918468bb89828',
  {
    account_id: '258def64c72dae45f3e4c8516e2111f2',
    cidr: '192.0.2.0/24',
    delegated_account_id: 'b1946ac92492d2347c6235b4d2611184',
  },
);

console.log(delegations.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "d933b1530bc56c9953cf8ce166da8004",
    "cidr": "192.0.2.0/24",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "delegated_account_id": "b1946ac92492d2347c6235b4d2611184",
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "parent_prefix_id": "2af39739cc4e3b5910c918468bb89828"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "d933b1530bc56c9953cf8ce166da8004",
    "cidr": "192.0.2.0/24",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "delegated_account_id": "b1946ac92492d2347c6235b4d2611184",
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "parent_prefix_id": "2af39739cc4e3b5910c918468bb89828"
  }
}